#pragma once

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RequisiteListView.h : header file
//
#include "aplListView.h"
/////////////////////////////////////////////////////////////////////////////
// CProductStructureListView view
class CRequisiteListView : public CaplListView
{
protected:
	CRequisiteListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CRequisiteListView)

// Attributes
public:

// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRequisiteListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

	virtual bool ShowProterties(bool bTest, int item);  

// Implementation
protected:
	virtual ~CRequisiteListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CRequisiteListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.


